<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>

<%@ page import="java.util.Date" %>

<%@ page import="javax.portlet.PortletPreferences" %>

<portlet:defineObjects />

<%
PortletPreferences preferences = renderRequest.getPreferences();

long exportDate = Long.parseLong(preferences.getValue("last-export-date", "0"));
long importDate = Long.parseLong(preferences.getValue("last-import-date", "0"));
%>

This is the <strong>Sample LAR Portlet</strong>. This was made to demonstrate the portlet
LAR plugin feature.

<br /><br />

This portlet plugin allows you to store data in the LAR file (Liferay Archive)
when the portlet exists in the Community being exported.

<br /><br />

Date of last export:

<%
if (exportDate == 0) {
%>

	Never

<%
}
else {
%>

	<%= new Date(exportDate) %>

<%
}
%>

<br />

Date of last import:

<%
if (importDate == 0) {
%>

	Never

<%
}
else {
%>

	<%= new Date(importDate) %>

<%
}
%>